Subject: [Bridge-mib] Portlist in RFC2764

From: Pat Medved <[email-masked]>
Date: Wed, 18 Dec 2002 14:22:33 -0600 (CST)

I noticed the portlist in rfc2764.  I've seen this same thing in other
Vendors MIbs as well.  I was wondering what these port numbers are.

If they are ports 1-256, what do those numbers map to on the switch
itself?  I was trying to find the correlation between these ports
and the ports in the bridge MIB itself.

Also, if there is only 32 octets, what goes in this list if more than 256 
ports are on a bridge?

I didn't see the correlation in this MIB.  

Thanks, Pat

Pat Medved	
[email-masked]

_______________________________________________
Bridge-mib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/bridge-mib

---

From: Michael MacFaden <[email-masked]>
Date: Thu, 19 Dec 2002 01:20:45 -0800

>and the ports in the bridge MIB itself.

Have a look at
http://www.nanog.org/mtg-0102/ppt/mibs/sld082.htm

In short, dot1dBasePortNum are typically mapped to an ifIndex.
Then from ifIndex you can check with either an entity mib or
an enterprise mib module to locate the vendor port identifier.

>Also, if there is only 32 octets, what goes in this list if more than 256 

PortList TC uses a plain OCTET STRING, it can be larger than 32 octets.
See rfc 2578 section 7.1.2.

Regards,
Mike MacFaden